Rooms API

get /rooms/{code}/providers/{id}

Get room provider detail

Base URL https://api.vseepreview.com/api_v3 · operationId getRoomProvider

Authentication: Account Code Only — Only requires the X-AccountCode header. No token needed.

Retrieve detailed information about a specific provider in a room. This is a public endpoint.

Parameters

NameInTypeRequiredEnumDefaultDescription
X-AccountCodeheaderstringyesAccount code (e.g. vclinic)
codepathstringyesRoom code (e.g. ceproom1)
idpathstringyesProvider ID (e.g. 826)

Responses

200 — Successful response

success — Provider details

{
  "data": {
    "id": "826",
    "code": "55de45a2ce384a24ad633301ac1f0144",
    "first_name": "John",
    "last_name": "Will",
    "username": "provider1",
    "vseeid": "conciergedev+user826",
    "email": "anton+provider1@vsee.com",
    "active": true,
    "title": "Dr.",
    "suffix": "M.D.",
    "tos": false,
    "phone": "334 2222211",
    "subtype": "482",
    "status": false,
    "educational_training": "edu and training...",
    "professional_interests": "interests...",
    "personal_interests": "some personal hobby",
    "short_bio": "..."
  }
}

Machine-readable: OpenAPI JSON (operationId: getRoomProvider)